%define name jscall-sharp
%define version 0.0.2
%define svn 73701
%define release %mkrel 0.%svn.2

Summary: Simple JavaScript bridge for gecko-sharp2
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{svn}.tar.bz2
License: BSD
Group: Development/Other
Url: http://www.go-mono.com
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: mono-devel
BuildRequires: mozilla-firefox-devel
BuildRequires: gecko-sharp2
BuildRequires: gtk2-devel
BuildRequires: libtool intltool

%description
JSCall is a simple JavaScript bridge for Gecko#. It's an interim solution 
until someone writes a proper XPCOM bridge for Mono, and uses unmanaged code 
and P/Invoke to invoke Gecko's XPCOM components from managed code. It should 
work with any .NET language, but I've referred to C# for simplicity. I don't 
expect many people to use this, so the documentation is little more than 
minimal; please contact me <m.j.hutchinson@gmail.com> if you need help 
working out how it works.


%prep
%setup -q -n %name
./autogen.sh

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot%_prefix/lib/mono/gac
%makeinstall_std GACUTIL="gacutil -root %buildroot/%_prefix/lib"
rm -f %buildroot%_libdir/libjscall*a
rm -f %buildroot%_libdir/libjscallglue.so
cd %buildroot%_libdir/jscall-sharp
ln -sf ../../..%_prefix/lib/mono/gac/jscall/*/* .

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%_libdir/jscall-sharp/
%_prefix/lib/mono/gac/jscall/
%_libdir/libjscallglue-%version.so
%_libdir/pkgconfig/jscall-sharp.pc


%changelog
* Mon Mar 05 2007 Götz Waschk <waschk@mandriva.org> 0.0.2-0.73701.2mdv2007.0
+ Revision: 133036
- make the package installable

* Mon Mar 05 2007 Götz Waschk <waschk@mandriva.org> 0.0.2-0.73701.1mdv2007.1
+ Revision: 132928
- Import jscall-sharp



* Mon Mar  5 2007 Götz Waschk <waschk@mandriva.org> 0.0.2-0.73701.1mdv2007.1
- initial package
